ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
exact_config_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| compile_exact_config (&$Options)
| controller (&$Options)
| view (&$Options)
| __toString ()

## Data Fields
| $Trace = false

## Detailed Description

Class for rapid controllers and viewes development.

Author
  Dodonov A.A.

Definition at line 26 of file exact_config.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 54 of file exact_config.php.

{
try
{
$this->Trace = get_package( 'trace' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

__toString | ( |  | ) |

Method converts object to string.

Returns
  string with the object's description.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 200 of file exact_config.php.

{
try
{
return( serialize( $this->Config ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_exact_config | ( | & | $Options | ) |

Method processes config.

Parameters

  $Options | - Settings.

Returns
  Result.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 88 of file exact_config.php.

{
try
{
$PackageName = $Options->get_setting( 'package_name' , 0 );
$PackageVersion = $Options->get_setting( 'package_version' , 'last' );
$PackagePath = _get_package_relative_path_ex( $PackageName , $PackageVersion );
$ConfigFileName = $Options->get_setting( 'config' );
$ContextSet = get_package_object( 'gui::context_set' , 'last' , __FILE__ );
$ContextSet->add_context( dirname( $PackagePath )."/conf/$ConfigFileName" );
$Object = get_package( $PackageName , $PackageVersion , __FILE__ );
$ContextSet->execute( $Options , $Object , __FILE__ );
return( get_field( $Object , 'Output' , '' ) );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

controller | ( | & | $Options | ) |

Method processes component.

Parameters

  $Options | - Settings.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 130 of file exact_config.php.

{
try
{
if( intval( $Options->get_setting( 'compile_exact_config' , 0 ) ) )
{
$this->compile_exact_config( $Options );
}
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

view | ( | & | $Options | ) |

Method draws component.

Parameters

  $Options | - Settings.

Returns
  HTML code of the component.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 167 of file exact_config.php.

{
try
{
if( intval( $Options->get_setting( 'compile_exact_config' , 0 ) ) )
{
return( $this->compile_exact_config( $Options ) );
}
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$Trace = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file exact_config.php.

The documentation for this class was generated from the following file:

- packages/gui/packages/context_set/packages/exact_config/exact_config.php